org.richfaces.fragment.common

## Class Actions

- java.lang.Object
- - org.openqa.selenium.interactions.Actions
  - - org.richfaces.fragment.common.Actions

-     public class Actions
      extends org.openqa.selenium.interactions.Actions

  Extending org.openqa.selenium.interactions.Actions by some functionality.
  Author:
    Jiri Stefek

- - ### Field Summary

    - ### Fields inherited from class org.openqa.selenium.interactions.Actions

      `action, keyboard, mouse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Actions(org.openqa.selenium.WebDriver driver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Actions` | `addAction(org.openqa.selenium.interactions.Action a)`
    `Actions` | `blurByJS(org.openqa.selenium.WebElement element)`
    `Actions` | `click()`
    `Actions` | `click(org.openqa.selenium.WebElement onElement)`
    `Actions` | `clickAndHold()`
    `Actions` | `clickAndHold(org.openqa.selenium.WebElement onElement)`
    `Actions` | `contextClick()`
    `Actions` | `contextClick(org.openqa.selenium.WebElement onElement)`
    `Actions` | `doubleClick()`
    `Actions` | `doubleClick(org.openqa.selenium.WebElement onElement)`
    `Actions` | `dragAndDrop(org.openqa.selenium.WebElement source, org.openqa.selenium.WebElement target)`
    `Actions` | `dragAndDropBy(org.openqa.selenium.WebElement source, int xOffset, int yOffset)`
    `Actions` | `keyDown(org.openqa.selenium.Keys theKey)`
    `Actions` | `keyDown(org.openqa.selenium.WebElement element, org.openqa.selenium.Keys theKey)`
    `Actions` | `keyUp(org.openqa.selenium.Keys theKey)`
    `Actions` | `keyUp(org.openqa.selenium.WebElement element, org.openqa.selenium.Keys theKey)`
    `Actions` | `moveByOffset(int xOffset, int yOffset)`
    `Actions` | `moveToElement(org.openqa.selenium.WebElement toElement)`
    `Actions` | `moveToElement(org.openqa.selenium.WebElement toElement, int xOffset, int yOffset)`
    `Actions` | `release()`
    `Actions` | `release(org.openqa.selenium.WebElement onElement)`
    `Actions` | `sendKeys(CharSequence... keysToSend)`
    `Actions` | `sendKeys(org.openqa.selenium.WebElement element, CharSequence... keysToSend)`
    `Actions` | `triggerEventByJS(Event event, org.openqa.selenium.WebElement element)`
    `Actions` | `triggerEventByWD(Event event, org.openqa.selenium.WebElement element)` Will try to trigger given event with webdriver standard API method - nativelly
    `Actions` | `waitAction(long timeInMillis)`

    - ### Methods inherited from class org.openqa.selenium.interactions.Actions

      `build, pause, perform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Actions

          public Actions(org.openqa.selenium.WebDriver driver)

  - ### Method Detail

    - #### addAction

          public Actions addAction(org.openqa.selenium.interactions.Action a)

    - #### blurByJS

          public Actions blurByJS(org.openqa.selenium.WebElement element)

    - #### click

          public Actions click(org.openqa.selenium.WebElement onElement)

      Overrides:
        `click` in class `org.openqa.selenium.interactions.Actions`

    - #### click

          public Actions click()

      Overrides:
        `click` in class `org.openqa.selenium.interactions.Actions`

    - #### clickAndHold

          public Actions clickAndHold(org.openqa.selenium.WebElement onElement)

      Overrides:
        `clickAndHold` in class `org.openqa.selenium.interactions.Actions`

    - #### clickAndHold

          public Actions clickAndHold()

      Overrides:
        `clickAndHold` in class `org.openqa.selenium.interactions.Actions`

    - #### contextClick

          public Actions contextClick(org.openqa.selenium.WebElement onElement)

      Overrides:
        `contextClick` in class `org.openqa.selenium.interactions.Actions`

    - #### contextClick

          public Actions contextClick()

      Overrides:
        `contextClick` in class `org.openqa.selenium.interactions.Actions`

    - #### doubleClick

          public Actions doubleClick(org.openqa.selenium.WebElement onElement)

      Overrides:
        `doubleClick` in class `org.openqa.selenium.interactions.Actions`

    - #### doubleClick

          public Actions doubleClick()

      Overrides:
        `doubleClick` in class `org.openqa.selenium.interactions.Actions`

    - #### dragAndDrop

          public Actions dragAndDrop(org.openqa.selenium.WebElement source,
                                     org.openqa.selenium.WebElement target)

      Overrides:
        `dragAndDrop` in class `org.openqa.selenium.interactions.Actions`

    - #### dragAndDropBy

          public Actions dragAndDropBy(org.openqa.selenium.WebElement source,
                                       int xOffset,
                                       int yOffset)

      Overrides:
        `dragAndDropBy` in class `org.openqa.selenium.interactions.Actions`

    - #### keyDown

          public Actions keyDown(org.openqa.selenium.Keys theKey)

      Overrides:
        `keyDown` in class `org.openqa.selenium.interactions.Actions`

    - #### keyDown

          public Actions keyDown(org.openqa.selenium.WebElement element,
                                 org.openqa.selenium.Keys theKey)

      Overrides:
        `keyDown` in class `org.openqa.selenium.interactions.Actions`

    - #### keyUp

          public Actions keyUp(org.openqa.selenium.Keys theKey)

      Overrides:
        `keyUp` in class `org.openqa.selenium.interactions.Actions`

    - #### keyUp

          public Actions keyUp(org.openqa.selenium.WebElement element,
                               org.openqa.selenium.Keys theKey)

      Overrides:
        `keyUp` in class `org.openqa.selenium.interactions.Actions`

    - #### moveByOffset

          public Actions moveByOffset(int xOffset,
                                      int yOffset)

      Overrides:
        `moveByOffset` in class `org.openqa.selenium.interactions.Actions`

    - #### moveToElement

          public Actions moveToElement(org.openqa.selenium.WebElement toElement)

      Overrides:
        `moveToElement` in class `org.openqa.selenium.interactions.Actions`

    - #### moveToElement

          public Actions moveToElement(org.openqa.selenium.WebElement toElement,
                                       int xOffset,
                                       int yOffset)

      Overrides:
        `moveToElement` in class `org.openqa.selenium.interactions.Actions`

    - #### release

          public Actions release(org.openqa.selenium.WebElement onElement)

      Overrides:
        `release` in class `org.openqa.selenium.interactions.Actions`

    - #### release

          public Actions release()

      Overrides:
        `release` in class `org.openqa.selenium.interactions.Actions`

    - #### sendKeys

          public Actions sendKeys(CharSequence... keysToSend)

      Overrides:
        `sendKeys` in class `org.openqa.selenium.interactions.Actions`

    - #### sendKeys

          public Actions sendKeys(org.openqa.selenium.WebElement element,
                                  CharSequence... keysToSend)

      Overrides:
        `sendKeys` in class `org.openqa.selenium.interactions.Actions`

    - #### triggerEventByJS

          public Actions triggerEventByJS(Event event,
                                          org.openqa.selenium.WebElement element)

    - #### triggerEventByWD

          public Actions triggerEventByWD(Event event,
                                          org.openqa.selenium.WebElement element)

      Will try to trigger given event with webdriver standard API method - nativelly
      Parameters:
        `event` -
        `element` -
      Returns:
      Throws:
        `IllegalArgumentException` - when given event can not be triggered by webdriver API

    - #### waitAction

          public Actions waitAction(long timeInMillis)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.